Skip to main content
POST
https://api.dintero.com/v1
/
accounts
/
{aid}
/
management
/
settings
/
connections
/
swish
/
{callback_reference}
aid_account_settings_connections_swish_callback_post
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/swish/{callback_reference} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "swish_number": "1231182293"
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9
callback_reference
string
required

Body

application/json
swish_number
string
required

The merchant's Swish number

Example:

"1231182293"

cert
string

Base 64 encoded string of the certificate. Can be in PEM or P12 format. If PEM, key and ca are required.

key
string

Base 64 encoded string of the public key

passphrase
string

The passphrase for the certificate

ca
string

Base 64 encoded string of the CA of the certificate

payment_options
object[]

Payment options to enable for this connection

Response

Signup

The response is of type object.

Last modified on May 12, 2026